#pragma once

#define TARGET_FPS          60
#define TILE_SIZE           16
#define PLAYER_WIDTH        14
#define PLAYER_HEIGHT       14
#define GRAVITY             0.2f
#define AIR_RESISTANCE      0.02f
#define MAX_WALK_SPEED      2.0f
#define ACCELERATION_AIR    0.1f
#define ACCELERATION_GROUND 0.4f
#define FRICTION_AIR        (ACCELERATION_AIR / MAX_WALK_SPEED)
#define FRICTION_GROUND     (ACCELERATION_GROUND / MAX_WALK_SPEED)
#define FRICTION_BREAK      (0.6f / MAX_WALK_SPEED)
